// creator  : weidu.exe (version 23100)
// argument : SBCUST02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SBCUST02~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~RandomNum(5,1)~ THEN BEGIN 0 // from:
  SAY #23640 /* ~This stool be mighty uncomfortable.  I ne'er know why they puts these in here.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(5,2)~ THEN BEGIN 1 // from:
  SAY #23641 /* ~Sailors an' thieves... Athkatla be full o' them both!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(5,3)~ THEN BEGIN 2 // from:
  SAY #23642 /* ~The Sea's Bounty be a nice pub an' all, but if ye steps outside, ye be as likely to have yer pocket picked as not.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(5,4)~ THEN BEGIN 3 // from:
  SAY #23643 /* ~Renal the Bloodscalp be the word here in the Docks, mate.  Ye hears his name, ye stands up straight and pays yer respect, ye does.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(5,5)~ THEN BEGIN 4 // from:
  SAY #23644 /* ~I tells ya, I bets that the Thumb has some pirate treasure hidden, for sure.~ */
  IF ~~ THEN EXIT
END

IF ~IsValidForPartyDialog("Viconia")
Global("sbcustviconia","LOCALS",0)~ THEN BEGIN 5 // from:
  SAY #49615 /* ~Mercy's sake!  What in the bloody pits o' the Abyss are ye supposed to be, there?~ */
  IF ~~ THEN DO ~SetGlobal("sbcustviconia","LOCALS",1)~ EXTERN ~VICONIJ~ 58
END

IF ~IsValidForPartyDialog("Korgan")
Global("sbcustkorgan","LOCALS",0)~ THEN BEGIN 6 // from:
  SAY #49616 /* ~Ay, now!  Watch where ye're pushing yer way around!  Ye nearly knocked me over, ye did!~ */
  IF ~~ THEN DO ~SetGlobal("sbcustkorgan","LOCALS",1)~ EXTERN ~KORGANJ~ 95
END
